Page MenuHomePhabricator

[MIPS] Implement PUL.PS and PUU.PS instructions
ClosedPublic

Authored by michael-roe on Mar 7 2020, 10:13 AM.

Diff Detail

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptMar 7 2020, 10:13 AM
atanasyan requested changes to this revision.Mar 8 2020, 5:26 AM

The following test cases failed on my machine. Initially, assembler shows error: unknown instruction. Now assembler shows correct error message instruction requires a CPU feature not currently enabled and the checks should be updated and moved to invalid-xxx.s files.

MC/Mips/mips1/invalid-mips5-wrong-error.s
MC/Mips/mips2/invalid-mips5-wrong-error.s
MC/Mips/mips3/invalid-mips5-wrong-error.s
MC/Mips/mips4/invalid-mips5-wrong-error.s
MC/Mips/mips64r6/invalid-mips5-wrong-error.s
This revision now requires changes to proceed.Mar 8 2020, 5:26 AM

This revised patch fixes all the tests that were affected (changed tests from XFAIL to expected pass).

lebedev.ri retitled this revision from Implement PUL.PS and PUU.PS instructions to [MIPS] Implement PUL.PS and PUU.PS instructions.Mar 12 2020, 2:00 PM
jrtc27 added a subscriber: jrtc27.Mar 13 2020, 11:42 AM
atanasyan accepted this revision.Mar 13 2020, 3:18 PM

LGTM Thanks for the patch.

Do you have commit access?

This revision is now accepted and ready to land.Mar 13 2020, 3:18 PM

LGTM Thanks for the patch.

Do you have commit access?

Thanks!

I don't have commit access; please could someone commit it for me?

This revision was automatically updated to reflect the committed changes.